---
const props = Astro.props;
---

<article>
  <img src={props.thumbnail} alt={props.title}>
  <h3>{props.title}</h3>
  <time time={props.date}>Publié le {props.date}</time>
  <p>{props.description}</p>
  <button type="button" class="reactive-button">Lire la suite</button>
  <ul class="tags">
    {props.tags.map((tag) => (
      <li>{tag}</li>
    ))}
  </ul>
</article>

<script>
  const buttons = Array.from(document.querySelectorAll('.reactive-button'))
  
  buttons.forEach((button) => {
    button.addEventListener('click', () => console.log('clicked!'))
  })
</script>

<style>
.tags {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
}

.tags > li {
  padding: 4px 16px;
  border-radius: 9999px;
  background-color: gainsboro;
}

article {
  padding-block-end: 16px;
  display: grid;
  align-items: flex-start;
  border: solid 2px red;
  border-radius: 8px;
  overflow: hidden;
  gap: 8px;
}

article > *:not(:first-child) {
  margin-inline: 16px;
}

article > img {
  inline-size: 100%;
  block-size: auto;
  aspect-ratio: 16/9;
  object-fit: cover;
  object-position: center;
}

article > button {
  padding: 12px 24px;
  border-radius: 8px;
  background-color: aqua;
  color: blue;
  text-align: center;
}

ul {
  margin: 0;
  padding-left: 0;
  list-style-type: none;
}
</style>
